FindAllPersistentMethod (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class FindAllPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.FindAllPersistentMethod

    public class FindAllPersistentMethod
    extends AbstractStaticPersistentMethod

The "findAll" persistent static method allows searching for instances using either an example instance or an HQL query. Max results and offset parameters could be specified. A GrailsQueryException is thrown if the query is not a valid query for the domain class.

Syntax: DomainClass.findAll(query, params?) DomainClass.findAll(query, params?, max) DomainClass.findAll(query, params?, max, offset) DomainClass.findAll(query, params?, [max:10, offset:5])

Examples in Groovy: `// retrieves all accounts def a = Account.findAll() // retrieve all accounts ordered by account number def a = Account.findAll("from Account as a order by a.number asc") // retrieve first 10 accounts ordered by account number def a = Account.findAll("from Account as a order by a.number asc",10) // retrieve first 10 accounts ordered by account number started from 5th account def a = Account.findAll("from Account as a order by a.number asc",10,5) // retrieve first 10 accounts ordered by account number started from 5th account def a = Account.findAll("from Account as a order by a.number asc",[max:10,offset:5]) // with query parameters def a = Account.find("from Account as a where a.number = ? and a.branch = ?", [38479, "London"]) // with query named parameters def a = Account.find("from Account as a where a.number = :number and a.branch = :branch", [number:38479, branch:"London"]) // with query named parameters and max results and offset def a = Account.find("from Account as a where a.number = :number and a.branch = :branch", [number:38479, branch:"London"], 10, 5) // with query named parameters and max results and offset map def a = Account.find("from Account as a where a.number = :number and a.branch = :branch", [number:38479, branch:"London"], [max:10, offset:5]) // query by example def a = new Account() a.number = 495749357 def a = Account.find(a)`

Authors:
  Graeme Rocher
  Steven Devijver
  Sergey Nebolsin

Since:
  0.1

Field Summary

Fields inherited from class AbstractStaticPersistentMethod
application

Constructor Summary
`FindAllPersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)`

Method Summary
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria additionalCriteria, java.lang.Object[] arguments)`
`protected java.lang.Object` | `doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)`

Methods inherited from class AbstractStaticPersistentMethod
doInvokeInternal, doInvokeInternal, getCriteria, getHibernateTemplate, invoke, invoke, invoke

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, setPattern, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FindAllPersistentMethod

    public FindAllPersistentMethod(org.hibernate.SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)

Method Detail

### doInvokeInternal

    @SuppressWarnings("rawtypes")
    @Override
    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, grails.gorm.DetachedCriteria additionalCriteria, java.lang.Object[] arguments)

### doInvokeInternal

    @SuppressWarnings({ "unchecked", "rawtypes" })
    @Override
    protected java.lang.Object doInvokeInternal(java.lang.Class clazz, java.lang.String methodName, groovy.lang.Closure additionalCriteria, java.lang.Object[] arguments)

Groovy Documentation